@echo off
echo Preparing your TNOS source tree for initial 'make'....
echo.

echo First step: remove any files that need to be customized for your site
echo 	Deleting 'config.h', just in case it exists
del config.h
echo 	Deleting 'catalog.h', just in case it exists
del catalog.h
echo 	Deleting 'hardware.h', just in case it exists
del hardware.h
echo.

echo Second step: setup OS-dependent Makefile for MSDOS
echo 	Creating Makefile from makefile.dos
copy /Y makefile.dos makefile >nul
echo.

echo Third step: create initial 'make.inc' and 'depend' files (blank)
echo. >depend
echo. >make.inc
echo.

echo Fourth step: create an initial 'config.h' file
del config.h
echo.

rem DOS assumes the default installation place of /nos
make initial config.h

echo Fifth step: create catalog and dependencies files
make mostlyclean dep

echo Configuration complete!
echo.

echo To complete building TNOS, do the following commands:
echo.
echo "       make"
echo "       make install"
echo.

